#define	SVR	'0'
#define	VIS	'1'
#define	CAN '2'
#define	GUI '3'
#define	SPC	'4'
#define	SRT	'5'
#define	FSR	'6'

#define HOST "192.168.0.1"

#define PORT_VIS	4410
#define PORT_CAN	4420
#define PORT_GUI	4430
#define PORT_SPC	4440
#define PORT_SRT	4450
#define PORT_FSR	4460

#define	READ_POS	'0'
#define READ_POS_DONE	'1'
#define WRITE_SET_POS	'2'
#define WRITE_SET_POS_DONE	'3'
#define WRITE_GO_POS	'4'
#define WRITE_GO_POS_DONE	'5'
#define	VISION_START	'6'
#define	GUI_COMMAND	'7'
#define	READ_POS_SPEED	's'
#define	READ_POS_SPEED_DONE	'd'
#define	WRITE_GO_VEL	'z'
#define WRITE_GO_VEL2	'v'

#define	VISION_SUCCESS	'8'
#define	VISION_FAILURE	'9'
#define	VISION_FAILURE2	'x'
#define	STOP	'y'

/* SPC->GUI */
#define	SPC_SHOW_MAIN	'0'
#define	SPC_SHOW_AUTO	'1'
#define	SPC_SHOW_MANUAL	'2'
#define	SPC_SHOW_CAMERA	'3'
#define	SPC_COMMAND	'4'
#define	SHOW_GRID	'5'
#define	HIDE_GRID	'6'
#define TTS_SPEAK	'T'
#define TTS_SPEAK_DONE	't'
#define MODE_CHANGE_DONE_SUCCESS	's'
#define MODE_CHANGE_DONE_FAILURE		'f'
#define	SPEECH_ENABLE	'E'
#define	SPEECH_DISABLE	'D'
#define COMMAND_REJECT	'R'
#define COMMAND_ACCEPT	'A'
#define COMMAND_VALIDATED	'C'
#define COORD_A_1	200
#define COORD_A_2	201
#define COORD_A_3	202
#define COORD_A_4	203
#define COORD_A_5	204
#define COORD_A_6	205
#define COORD_B_1	206
#define COORD_B_2	207
#define COORD_B_3	208
#define COORD_B_4	209
#define COORD_B_5	210
#define COORD_B_6	211
#define COORD_C_1	212
#define COORD_C_2	213
#define COORD_C_3	214
#define COORD_C_4	215
#define COORD_C_5	216
#define COORD_C_6	217
#define COORD_D_1	218
#define COORD_D_2	219
#define COORD_D_3	220
#define COORD_D_4	221
#define COORD_D_5	222
#define COORD_D_6	223
#define COORD_E_1	224
#define COORD_E_2	225
#define COORD_E_3	226
#define COORD_E_4	227
#define COORD_E_5	228
#define COORD_E_6	229
#define COORD_F_1	230
#define COORD_F_2	231
#define COORD_F_3	232
#define COORD_F_4	233
#define COORD_F_5	234
#define COORD_F_6	235

#define STOP_MOTION 'k'
#define FINAL_GRAB	'F'

/* GUI <-> VIS */
#define	SET_POINT_INFO_INIT	'0'
#define	SET_POINT_INFO_MANUAL	'1'
#define	GET_POINT_INFO_MANUAL	'2'
#define	SET_CURRENT_POINT_MANUAL	'3'
#define	SET_CURRENT_POINT_AUTO	'4'
#define SET_GRID_OFF	'5'
#define READY_FOR_INPUT	'r'
//#define	SET_CURRENT_POINT_AUTO	'3'

#define REQUEST_RIGHT_FRAME	'b'
#define	READY_RIGHT_FRAME	'e'

#define	START_QUERY '0'
#define	END_QUERY '1'
#define	ADD_TEMPLATE	'2'
#define	TEMPLATE_ADDED	'3'

#define	BEGIN_TEMPLATE	'['
#define	NEW_TEMPLATE	'*'
#define	END_TEMPLATE	']'
#define	CANCEL_TEMPLATE_1	'{'
#define	CANCEL_TEMPLATE_2	'}'

#define	TEMPLATE_ACK	'<'

#define	BUFFER_SIZE	1000

/* TTS STRING */
#define START_GROSS_MOTION		'1'
#define START_OBJECT_RECOGNITION '2'
#define START_FINE_MOTION		'3'
#define START_TEMPLATE_ADDITION	'4'
#define TEMPLATE_ADDITION_DONE	'5'
#define END_TEMPLATE_ADDITION	'6'
#define OBJECT_IDENTIFIED		'7'
#define OBJECT_UNIDENTIFIED		'8'
//#define TRY_AGAIN				'9'
#define MOVE_THE_ROBOT			'a'
#define READY_TO_PICKUP			'b'
#define OBJECT_INFO_LOADING		'c'
#define START_APPROACHING		'd'
#define TEMPLATE_IS_READY		'e'

#define	FSR_START	'1'
#define	FSR_END	'2'